Bug 1807643 - bootstrap IP is incorrect on IPv6
Summary: bootstrap IP is incorrect on IPv6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Etcd Operator
Version: 4.4
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.4.0
Assignee: David Eads
QA Contact: ge liu
URL:
Whiteboard:
Depends On: 1807169 1808060
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-26 20:01 UTC by Abhinav Dahiya
Modified: 2020-05-13 22:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1807169
Environment:
Last Closed: 2020-05-13 22:00:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 3194 0 None closed [release-4.4] bug 1808060: use localhost for bootstrap IP until bootkube is fixed 2020-03-24 08:20:00 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-13 22:00:10 UTC

Description Abhinav Dahiya 2020-02-26 20:01:21 UTC
+++ This bug was initially created as a clone of Bug #1807169 +++

It is possible to use localhost for the short term to get unstuck and correctly predict "correct" values in individual render commands.  This is a temporary workaround to ship 4.4.  The bootkube should be aware of the 'correct' ipv6 address to configuring rendering of multiple components.

Comment 4 errata-xmlrpc 2020-05-13 22:00:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.